Draft AddPoint.png Draft AddPoint

Menu location
Draft → Add Point
Workbenches
Draft, Arch
Default shortcut
None
See also
None


Description

This tools allows you to add additional points to Wires and BSplines.

How to use

  1. Select a wire or a BSpline
  2. Press the Draft AddPoint.png Draft AddPoint button
  3. Click a point on the 3D view, or type a coordinate

Options

  • This functionality is also available inside the Draft Edit.png Draft Edit tool

Scripting

Not available, but adding additional points to Wires and BSplines is easy, for example:

import FreeCAD,Draft
points = FreeCAD.ActiveDocument.ActiveObject.Points
points.append(FreeCAD.Vector(2,2,0))
FreeCAD.ActiveDocument.ActiveObjects.Points = points 
Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎română • ‎русский • ‎svenska • ‎Türkçe